#include<stdio.h>
#include<stdlib.h>
#include<string.h>
struct Stack {
float stack[1024];
int stack_ptr;
};
void initStack(struct Stack *st)
{
st->stack_ptr = 0;
}
void Push(struct Stack *st, float var)
{
if(st->stack_ptr < 1024)
st->stack[st->stack_ptr++] = var;
else
printf("Stack overflow\n");
}

float Pop(struct Stack *st)
{
if(st->stack_ptr >= 0)
return st->stack[--st->stack_ptr];
else
printf("Stack Underflow\n");return 0;
}

struct Stack masc__st;
char streamed_str[1024];
int main() {
initStack(&masc__st);
begin:
sprintf(streamed_str, "%s%c"," this is the data ",'\0');
printf("%s%s%s%c","Hello world with streams ",streamed_str,"\n",'\0');
exit(0);
goto end;
end:

return 0;
}
